Create earmark

Create an earmark. An account holder can use an earmark to hold needed funds in reserve until a specified release date and time.

Optionally, the account holder can schedule a payout for the release date and time. At that time, an automatic process releases the earmarked funds and settles the payout.

It's possible to force the creation of an earmark by not performing any regular validations, such as account status, account balance, or flex controls validations.

This endpoint generates the following events:

NOTES:

  • This endpoint requires an account token - an access token encoded with an external account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body

float
required
0.01 to 18446744073709552000

Earmark amount
minimum: 0.01 maximum: 18446744073709551617

internal_operation
object
required

Data used in transactions executed internally during the request.

int64
required

Account ID generated by Create Corporate Account.
minimum: 1 maximum: 4294967295

string
length ≤ 60

External ID of the account on which the earmark is created. Should be the same external_account_id that was used to log in. Should be the same external_account_id used in Create Corporate Account.

string
length ≤ 60

Optional earmark ID. If earmark_id already exists, the caller receives a 409 error. If provided, the earmark is created with this ID. If not provided, a random earmark ID is generated.

string
length between 1 and 40

Earmark description

date-time
length between 20 and 30

RFC 3339 date/time for earmark release. Used to schedule a cash-out (usually a payment) at the specified release date and time. At release_datetime, an automatic process releases the earmarked funds and settles the cash-out. If no release_datetime is set, the earmarked amount is held indefinitely until the customer cancels the earmark.

boolean

If the account has any reason-based force debit payment restrictions, and the force earmark creation violates any of those restrictions, it fails. The reasons that restrict force debit operations are:

  • CREDIT ONLY: No force debit allowed
  • ANY: No force allowed
  • MANUAL: No force allowed
Responses

403

The request has been lost

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json